=== modified file 'lib/canonical/launchpad/scripts/productreleasefinder/filter.py'
--- lib/canonical/launchpad/scripts/productreleasefinder/filter.py	2006-09-13 10:20:16 +0000
+++ lib/canonical/launchpad/scripts/productreleasefinder/filter.py	2006-09-15 09:20:12 +0000
@@ -56,7 +56,6 @@
                               url, pattern.key, pattern.glob)
                 return True
         else:
-            self.log.info("Skipping %s", url)
             return False
 
 

=== modified file 'lib/canonical/launchpad/scripts/productreleasefinder/finder.py'
--- lib/canonical/launchpad/scripts/productreleasefinder/finder.py	2006-09-13 10:20:16 +0000
+++ lib/canonical/launchpad/scripts/productreleasefinder/finder.py	2006-09-15 09:20:12 +0000
@@ -116,7 +116,7 @@
     def addReleaseTarball(self, product_name, series_name, release_name,
                           filename, size, file, content_type):
         """Create a ProductRelease (if needed), and attach tarball"""
-        # get the series
+        # Get the series.
         self.ztm.begin()
         try:
             product = getUtility(IProductSet).getByName(product_name)
@@ -130,7 +130,7 @@
                 self.log.info("Created new release %s for %s/%s",
                               release_name, product_name, series_name)
 
-            # if we already have a code tarball, stop here
+            # If we already have a code tarball, stop here.
             for fileinfo in release.files:
                 if fileinfo.filetype == UpstreamFileType.CODETARBALL:
                     self.log.debug("%s/%s/%s already has a code tarball",

=== modified file 'lib/canonical/launchpad/scripts/productreleasefinder/hose.py'
--- lib/canonical/launchpad/scripts/productreleasefinder/hose.py	2006-09-13 10:20:16 +0000
+++ lib/canonical/launchpad/scripts/productreleasefinder/hose.py	2006-09-15 09:20:12 +0000
@@ -62,14 +62,15 @@
                     url = combine_url(base_url, dirpath, filename)
                     key = self.filter.check(url)
                     yield (key, url)
-                # Remove dirnames that couldn't contain matches.
-                # We need to update the list in-place
+                # To affect which directories the walker descends
+                # into, we must update the dirnames list in place.
                 i = 0
                 while i < len(dirnames):
                     url = combine_url(base_url, dirpath, dirnames[i])
                     if self.filter.isPossibleParent(url):
                         i += 1
                     else:
+                        self.log.info('Skipping %s', url)
                         del dirnames[i]
 
     __iter__ = run

=== modified file 'lib/canonical/launchpad/scripts/productreleasefinder/tests/test_hose.py'
--- lib/canonical/launchpad/scripts/productreleasefinder/tests/test_hose.py	2006-09-13 10:20:16 +0000
+++ lib/canonical/launchpad/scripts/productreleasefinder/tests/test_hose.py	2006-09-15 09:20:12 +0000
@@ -146,19 +146,18 @@
             FilterPattern)
         pattern = FilterPattern("key", self.release_url,
                                 "foo/1.*/source/foo-1.*.tar.gz")
-        h = Hose([pattern])
+        hose = Hose([pattern])
 
         prefix_len = len(self.release_url)
-        all_urls = []
         matched = []
         unmatched = []
-        for key, url in h:
+        for key, url in hose:
             if key is None:
                 unmatched.append(url[prefix_len:])
             else:
                 matched.append(url[prefix_len:])
 
-        # Make sure that the correct releases got found
+        # Make sure that the correct releases got found.
         self.assertEqual(sorted(matched),
                          ['/foo/1.0/source/foo-1.0.tar.gz',
                           '/foo/1.5/source/foo-1.5.tar.gz'])

=== modified file 'lib/canonical/launchpad/scripts/productreleasefinder/tests/test_walker.py'
--- lib/canonical/launchpad/scripts/productreleasefinder/tests/test_walker.py	2006-09-13 11:50:43 +0000
+++ lib/canonical/launchpad/scripts/productreleasefinder/tests/test_walker.py	2006-09-15 09:20:12 +0000
@@ -251,7 +251,7 @@
         return TestHTTPWalker(listing_url, logging.getLogger())
 
     def testApacheListing(self):
-        # Test that list() handles a standard Apache dir listing
+        # Test that list() handles a standard Apache dir listing.
         content = '''
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 3.2 Final//EN">
 <html>
@@ -281,7 +281,7 @@
                                      'gnome-gpg-0.5.0.tar.gz'])
 
     def testSquidFtpListing(self):
-        # Test that a Squid FTP listing can be parsed
+        # Test that a Squid FTP listing can be parsed.
         content = '''
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
 <!-- HTML listing generated by Squid 2.5.STABLE12 -->
@@ -315,7 +315,7 @@
                                      'gnome-gpg-0.5.0.tar.gz'])
 
     def testNonAsciiListing(self):
-        # Test that list() handles non-ASCII output
+        # Test that list() handles non-ASCII output.
         content = '''
         <html>
           <head>
@@ -345,7 +345,7 @@
         self.assertEqual(filenames, ['file1', 'file2', 'file3', 'file99'])
 
     def testGarbageListing(self):
-        # make sure that garbage doesn't trip up the dir lister
+        # Make sure that garbage doesn't trip up the dir lister.
         content = '\x01\x02\x03\x00\xff\xf2\xablkjsdflkjsfkljfds'
         walker = self.setUpWalker('http://example.com/foo/', content)
         dirnames, filenames = walker.list('/foo/')
@@ -359,8 +359,8 @@
         reset_logging()
 
     def testFtpIsDirectory(self):
-        # Make sure that HEAD requests aren't issued by isDirectory() when
-        # walking FTP sites
+        # Test that no requests are made by isDirectory() when walking
+        # FTP sites.
         from canonical.launchpad.scripts.productreleasefinder.walker import (
             HTTPWalker)
         test = self

=== modified file 'lib/canonical/launchpad/scripts/productreleasefinder/walker.py'
--- lib/canonical/launchpad/scripts/productreleasefinder/walker.py	2006-09-13 11:50:43 +0000
+++ lib/canonical/launchpad/scripts/productreleasefinder/walker.py	2006-09-15 09:20:12 +0000
@@ -260,7 +260,7 @@
 
         Returns the HTTPResponse object.
         """
-        # we build a custom opener, because we don't want redirects to be
+        # We build a custom opener, because we don't want redirects to be
         # followed.
         if self._opener is None:
             self._opener = urllib2.OpenerDirector()
@@ -301,10 +301,10 @@
             if exc.code != 301:
                 return False
         except (IOError, socket.error), exc:
-            # raise HTTPWalkerError for other IO or socket errors
+            # Raise HTTPWalkerError for other IO or socket errors.
             raise HTTPWalkerError(str(exc))
 
-        # we have a 301 redirect error from here on.
+        # We have a 301 redirect error from here on.
         url = exc.hdrs.getheader("location")
         (scheme, netloc, redirect_path, query, fragment) \
                  = urlsplit(url, self.scheme, self.FRAGMENTS)
@@ -371,7 +371,7 @@
     """Return a walker for the URL given."""
     (scheme, netloc, path, query, fragment) = urlsplit(url, "file")
     if scheme in ["ftp"]:
-        # if ftp_proxy is set, use the HTTPWalker class since we are
+        # If ftp_proxy is set, use the HTTPWalker class since we are
         # talking to an HTTP proxy.
         if 'ftp_proxy' in os.environ:
             return HTTPWalker(url, log_parent)

